import axios from '../../libs/api.request'

export const getDictInfoList = (data) => {
  return axios.request({
    url: '/api/as/sc/dict/getDictInfoList?type=sys_center_type',
    data: 'type: sys_center_type',
    type: 'get'
  })
}
export const getList = (data) => {
  return axios.request({
    url: '/api/as/sc/sysfun/getList',
    data: data,
    type: 'POST'
  })
}
export const getRoleList = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemFunction/getRoleList',
    data: data,
    type: 'POST'
  })
}
export const setAuthType = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemFunction/setAuthType',
    data: data,
    type: 'POST'
  })
}
export const getById = (data) => {
  return axios.request({
    url: '/api/as/sc/sysfun/getById',
    data: data,
    type: 'POST'
  })
}
export const getForMenuList = (data) => {
  return axios.request({
    url: '/api/as/sc/menu/getForMenuList',
    data: data,
    type: 'POST'
  })
}
export const saveBindApi = (data) => {
  return axios.request({
    url: '/api/ac/sc/systemFunction/saveBindApi',
    data: data,
    type: 'POST'
  })
}

export const delBindApi = (data) => {
  return axios.request({
    url: '/api/as/sc/sysfun/delBindApi',
    data: data,
    type: 'POST'
  })
}
export const getBindFunList = (data) => {
  return axios.request({
    url: '/api/as/sc/sysfun/getBindFunList',
    data: data,
    type: 'POST'
  })
}
export const save = (data) => {
  return axios.request({
    url: '/api/as/sc/sysfun/save',
    data: data,
    type: 'POST'
  })
}
